
const generateTitle = function(adapterName, author, stdoe) {
    stdoe = stdoe === 'stdout' ? 'standard output' : 'standard error';
    let titleGraph = '==============================================================================================================================\n';
titleGraph += `
 ______     __     ______        _____     ______     ______   ______    
/\\  == \\   /\\ \\   /\\  __ \\      /\\  __-.  /\\  __ \\   /\\__  _\\ /\\  __ \\   
\\ \\  __<   \\ \\ \\  \\ \\ \\/\\ \\     \\ \\ \\/\\ \\ \\ \\  __ \\  \\/_/\\ \\/ \\ \\  __ \\  
 \\ \\_____\\  \\ \\_\\  \\ \\_____\\     \\ \\____-  \\ \\_\\ \\_\\    \\ \\_\\  \\ \\_\\ \\_\\ 
  \\/_____/   \\/_/   \\/_____/      \\/____/   \\/_/\\/_/     \\/_/   \\/_/\\/_/                                                                                                        
`;
titleGraph += `
             ______   ______     ______     ______     ______     ______     ______     ______     ______    
            /\\  == \\ /\\  == \\   /\\  __ \\   /\\  ___\\   /\\  ___\\   /\\  ___\\   /\\  ___\\   /\\  __ \\   /\\  == \\   
            \\ \\  _-/ \\ \\  __<   \\ \\ \\/\\ \\  \\ \\ \\____  \\ \\  __\\   \\ \\___  \\  \\ \\___  \\  \\ \\ \\/\\ \\  \\ \\  __<   
             \\ \\_\\    \\ \\_\\ \\_\\  \\ \\_____\\  \\ \\_____\\  \\ \\_____\\  \\/\\_____\\  \\/\\_____\\  \\ \\_____\\  \\ \\_\\ \\_\\ 
              \\/_/     \\/_/ /_/   \\/_____/   \\/_____/   \\/_____/   \\/_____/   \\/_____/   \\/_____/   \\/_/ /_/ 
                                                             
`;
    titleGraph += '\nHello, you are executing job(s) through the ' + adapterName + ' adapter.\n';
    titleGraph += 'Adapter author: ' + (author || 'noname') + '\n';
    titleGraph += '===============================================↓↓ ' + stdoe + ' start here ↓↓===============================================\n';
    return titleGraph;
}

module.exports = function(adapterName, author) {
    process.stdout.write(generateTitle(adapterName, author, 'stdout'));
    process.stderr.write(generateTitle(adapterName, author, 'stderr'));
}
